Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
ai-configs
/
prompt-snippets
/
{snippetKey}
/
references
List prompt snippet references
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-configs/prompt-snippets/{snippetKey}/references \
  --header 'Authorization: <api-key>'
{
  "resourceKey": "resourceKey",
  "_links": {
    "next": {
      "href": "href",
      "type": "type"
    },
    "last": {
      "href": "href",
      "type": "type"
    },
    "prev": {
      "href": "href",
      "type": "type"
    },
    "self": {
      "href": "href",
      "type": "type"
    },
    "first": {
      "href": "href",
      "type": "type"
    }
  },
  "totalCount": 6,
  "items": [
    {
      "aiConfigKey": "aiConfigKey",
      "variationId": "variationId",
      "variationName": "variationName",
      "resourceVersion": 0,
      "aiConfigName": "aiConfigName"
    },
    {
      "aiConfigKey": "aiConfigKey",
      "variationId": "variationId",
      "variationName": "variationName",
      "resourceVersion": 0,
      "aiConfigName": "aiConfigName"
    }
  ],
  "resourceType": "resourceType"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required
snippetKey
string
required

Query Parameters

limit
integer

The number of resources to return.

offset
integer

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Prompt snippet references

resourceKey
string
required

The key of the prompt snippet.

resourceType
string
required

The type of the resource being referenced.

items
object[]
required
totalCount
integer
required

The total number of references.

Example:
{
"next": { "href": "href", "type": "type" },
"last": { "href": "href", "type": "type" },
"prev": { "href": "href", "type": "type" },
"self": { "href": "href", "type": "type" },
"first": { "href": "href", "type": "type" }
}